summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKieran Bingham <kieran.bingham@ideasonboard.com>2021-08-05 12:10:29 +0100
committerKieran Bingham <kieran.bingham@ideasonboard.com>2021-08-06 16:50:09 +0100
commitb46c79278b0715dc34257fdee056f5d50e87dd88 (patch)
treedb608602c37b53c7c300ee61f146982d7bcfb403
parentf35c3896944dbccd654a9e5719c491ae3b48e57e (diff)
ci: package: Improve error reporting
Signed-off-by: Kieran Bingham <kieran.bingham@ideasonboard.com>
-rwxr-xr-x52-package.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/52-package.sh b/52-package.sh
index 76086c2..4966ccd 100755
--- a/52-package.sh
+++ b/52-package.sh
@@ -22,9 +22,6 @@ PACKAGES=$PWD/packages
mkdir -p $PACKAGES
-set -e
-
-ID=package
logfile=$(log_filename $ID)
PACKAGE_INSTALL=`mktemp -d -t libcamera-package-XXXXX`
@@ -36,7 +33,10 @@ function cleanup() {
trap cleanup EXIT
DESTDIR="$PACKAGE_INSTALL" ninja -C $BUILD install > $logfile
+pass_fail $? "Testing the Install process"
+
tar czf $PACKAGES/libcamera-$BRANCH-$VERSION.tgz -C $PACKAGE_INSTALL . >> $logfile
+pass_fail $? "Compressing the installation results"
# Cleanup handled upon exit.